### Function

# GioUnix DesktopAppInfo has_key

since: 2.36

#### Declaration

    gboolean
    g_desktop_app_info_has_key (
      GDesktopAppInfo* info,
      const char* key
    )

#### Description

Returns whether `key` exists in the “Desktop Entry” group of the keyfile backing `info`.

Available since: 2.36

#### Parameters

`info`

  Type: `GDesktopAppInfo`

  A `GDesktopAppInfo`.

  The data is owned by the caller of the function.

`key`

  Type: `const char*`

  The key to look up.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the `key` exists.